/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2009
 */
package org.jboss.soa.esb.samples.quickstart.webservice_proxy_basic;

import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;


@WebService(name = "HelloWorldImport", targetNamespace = "http://webservice_proxy_basic/helloworldimport", wsdlLocation = "file:///home/jpechane/releases/51ER2AS/jboss-as/samples/quickstarts/webservice_proxy_basic/HelloWorldWSContract.wsdl")
public class HelloWorldImportWS
{
	
	@WebMethod
	public String sayHello(@WebParam(name = "toWhom") String toWhom)
	{
		return "Import called echo with param: " + toWhom;
	}
	
	@WebMethod @Oneway
	public void sayHelloOneWay(@WebParam(name = "toWhom") String toWhom)
	{
		System.out.println("Import called echo with param: " + toWhom);
	}
	
}
